use serde::Deserialize;

#[derive(Deserialize, Debug, Clone)]
pub struct Domain {
    pub keys: Option<Vec<Key>>,
    pub created: String,
    pub published: String,
    pub touched: String,
    pub name: String,
    pub minimum_ttl: i32,
    pub zonefile: Option<String>,
}

#[derive(Deserialize, Debug, Clone)]
pub struct Key {
    pub dnskey: String,
    pub ds: Vec<String>,
    pub managed: bool,
}
